%global pkg_name        CPAN
%global pkg_version     1.9205
%global rpm_pkg_version 1.92_05
%global rpm_pkg_release 1.n0i.15

Summary:       Query, download and build perl modules from CPAN sites
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AN/ANDK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
%if %{!?_without_test:1}0
BuildRequires: perl(Test::Harness) >= 2.62
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
%endif
%global perl_filter_req 'perl\\(Mac::'

# Fedora crap
Provides: cpan = %{rpm_pkg_version}


%description
The CPAN module automates or at least simplifies the make and install of perl
modules and extensions. It includes some primitive searching capabilities and
knows how to use Net::FTP or LWP or some external download clients to fetch
the distributions from the net.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
# disabled CPAN-Test-Dummy-* as it's not possible to do it in a safe container
for t in 00signature 31sessions ; do
	%{__mv} t/$t.t t/$t.t.disabled
done


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes PAUSE*.pub README Todo


%changelog
* Wed Nov 14 2007 Marius Feraru <altblue@n0i.net> - 0:1.92_05-1.n0i.15.1.9205
- version 1.9205
- spec update (new reb00t build tools)

* Fri Sep 28 2007 Marius Feraru <altblue@n0i.net> - 0:1.92_03-1.n0i.14.1.9203
- version 1.9203

* Thu Sep 27 2007 Marius Feraru <altblue@n0i.net> - 0:1.92_01-1.n0i.13.1.9201
- version 1.9201

* Sun Sep 23 2007 Marius Feraru <altblue@n0i.net> - 0:1.92-1.n0i.12
- version 1.92
- disabled 31sessions (this takes down 00signature too)

* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0:1.91_02-1.n0i.11.1.9102
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.9102
